Bug 1330461 - [abrt] ibus-typing-booster: hunspell_table.py:444:update_candidates:AttributeError: 'editor' object has no attribute '_transliterated_string'
Summary: [abrt] ibus-typing-booster: hunspell_table.py:444:update_candidates:Attribute...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-typing-booster
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike FABIAN
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:90e8aeba362d344c870752d33e2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-26 09:50 UTC by Mike FABIAN
Modified: 2016-05-10 18:00 UTC (History)
3 users (show)

Fixed In Version: ibus-typing-booster-1.4.3-1.fc24 ibus-typing-booster-1.4.3-1.fc22 ibus-typing-booster-1.4.3-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-07 11:47:15 UTC


Attachments (Terms of Use)
File: backtrace (1023 bytes, text/plain)
2016-04-26 09:50 UTC, Mike FABIAN
no flags Details
File: environ (885 bytes, text/plain)
2016-04-26 09:50 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2016-04-26 09:50:25 UTC
Description of problem:
Mistyped variable name

Version-Release number of selected component:
ibus-typing-booster-1.4.1-1.fc24

Additional info:
reporter:       libreport-2.7.0
cmdline:        /usr/bin/python3 /usr/share/ibus-typing-booster/engine/main.py --ibus
executable:     /usr/share/ibus-typing-booster/engine/main.py
kernel:         4.5.2-301.fc24.x86_64
pkg_vendor:     (none)
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
hunspell_table.py:444:update_candidates:AttributeError: 'editor' object has no attribute '_transliterated_string'

Traceback (most recent call last):
  File "/usr/share/ibus-typing-booster/engine/hunspell_table.py", line 1110, in do_process_key_event
    result = self._process_key_event (key)
  File "/usr/share/ibus-typing-booster/engine/hunspell_table.py", line 1449, in _process_key_event
    self._editor.insert_string_at_cursor([key.msymbol])
  File "/usr/share/ibus-typing-booster/engine/hunspell_table.py", line 277, in insert_string_at_cursor
    self.update_candidates()
  File "/usr/share/ibus-typing-booster/engine/hunspell_table.py", line 444, in update_candidates
    prefix = self._transliterated_string[0:prefix_length]
AttributeError: 'editor' object has no attribute '_transliterated_string'

Local variables in innermost frame:
prefix_length: 1
stripped_transliterated_string: 'n'
self: <hunspell_table.editor object at 0x7f3b8a91e470>
prefix: ''
ime: 't-latn-post'
candidates: []
phrase_frequencies: {}

Comment 1 Mike FABIAN 2016-04-26 09:50:30 UTC
Created attachment 1150791 [details]
File: backtrace

Comment 2 Mike FABIAN 2016-04-26 09:50:31 UTC
Created attachment 1150792 [details]
File: environ

Comment 3 Fedora Update System 2016-04-27 21:08:11 UTC
ibus-typing-booster-1.4.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-94995f6ab0

Comment 4 Fedora Update System 2016-04-27 21:09:11 UTC
ibus-typing-booster-1.4.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f27b4d1226

Comment 5 Fedora Update System 2016-04-27 21:09:41 UTC
ibus-typing-booster-1.4.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3214472739

Comment 6 Fedora Update System 2016-04-28 13:05:02 UTC
ibus-typing-booster-1.4.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-883d129169

Comment 7 Fedora Update System 2016-04-28 13:05:33 UTC
ibus-typing-booster-1.4.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-20f97e2041

Comment 8 Fedora Update System 2016-04-28 13:06:09 UTC
ibus-typing-booster-1.4.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-362d994af3

Comment 9 Fedora Update System 2016-04-28 16:24:42 UTC
ibus-typing-booster-1.4.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-362d994af3

Comment 10 Fedora Update System 2016-04-28 22:53:08 UTC
ibus-typing-booster-1.4.3-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-883d129169

Comment 11 Fedora Update System 2016-04-28 22:54:54 UTC
ibus-typing-booster-1.4.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-20f97e2041

Comment 12 Fedora Update System 2016-05-07 11:47:11 UTC
ibus-typing-booster-1.4.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-05-10 17:53:29 UTC
ibus-typing-booster-1.4.3-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-05-10 18:00:23 UTC
ibus-typing-booster-1.4.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.